# modules/uip_task_standard/uip_task.c File Reference

`#include <mios32.h>`
`#include <FreeRTOS.h>`
`#include <task.h>`
`#include <queue.h>`
`#include "uip.h"`
`#include "uip_arp.h"`
`#include "network-device.h"`
`#include "timer.h"`
`#include "uip_task.h"`
`#include "osc_server.h"`
`#include "osc_client.h"`
`#include "dhcpc.h"`

## Defines
#define | DEBUG_VERBOSE_LEVEL 1
#define | PRIORITY_TASK_UIP ( tskIDLE_PRIORITY + 3 )
#define | BUF ((struct uip_eth_hdr *)&uip_buf[0])
#define | TCPIPBUF ((struct uip_tcpip_hdr *)&uip_buf[UIP_LLH_LEN])
#define | UDPBUF ((struct uip_udpip_hdr *)&uip_buf[UIP_LLH_LEN])
## Functions
s32 | UIP_TASK_Init (u32 mode)
s32 | UIP_TASK_InitFromPresets (u8 _dhcp_enabled, u32 _my_ip_address, u32 _my_netmask, u32 _my_gateway)
void | uip_log (char *msg)
s32 | UIP_TASK_AppCall (void)
s32 | UIP_TASK_DHCP_EnableSet (u8 _dhcp_enabled)
s32 | UIP_TASK_DHCP_EnableGet (void)
s32 | UIP_TASK_IP_AddressSet (u32 ip)
s32 | UIP_TASK_IP_AddressGet (void)
s32 | UIP_TASK_IP_EffectiveAddressGet (void)
s32 | UIP_TASK_NetmaskSet (u32 mask)
s32 | UIP_TASK_NetmaskGet (void)
s32 | UIP_TASK_EffectiveNetmaskGet (void)
s32 | UIP_TASK_GatewaySet (u32 ip)
s32 | UIP_TASK_GatewayGet (void)
s32 | UIP_TASK_EffectiveGatewayGet (void)
s32 | UIP_TASK_ServicesRunning (void)
s32 | UIP_TASK_NetworkDeviceAvailable (void)
s32 | UIP_TASK_UDP_AppCall (void)
s32 | UIP_TASK_UDP_MonitorPacket (u8 received, char *prefix)
s32 | UIP_TASK_UDP_MonitorLevelSet (u8 level)
s32 | UIP_TASK_UDP_MonitorLevelGet (void)
void | dhcpc_configured (const struct dhcpc_state *s)
## Variables
xSemaphoreHandle | xUIPSemaphore
u16_t | uip_slen

## Define Documentation

#define BUF ((struct uip_eth_hdr *)&uip_buf[0])

#define DEBUG_VERBOSE_LEVEL 1

#define PRIORITY_TASK_UIP ( tskIDLE_PRIORITY + 3 )

#define TCPIPBUF ((struct uip_tcpip_hdr *)&uip_buf[UIP_LLH_LEN])

#define UDPBUF ((struct uip_udpip_hdr *)&uip_buf[UIP_LLH_LEN])

## Function Documentation

void dhcpc_configured | ( | const struct dhcpc_state * | s | ) |

void uip_log | ( | char * | msg | ) |

s32 UIP_TASK_AppCall | ( | void |  | ) |

s32 UIP_TASK_DHCP_EnableGet | ( | void |  | ) |

s32 UIP_TASK_DHCP_EnableSet | ( | u8 | _dhcp_enabled | ) |

Here is the call graph for this function:

s32 UIP_TASK_EffectiveGatewayGet | ( | void |  | ) |

s32 UIP_TASK_EffectiveNetmaskGet | ( | void |  | ) |

s32 UIP_TASK_GatewayGet | ( | void |  | ) |

s32 UIP_TASK_GatewaySet | ( | u32 | ip | ) |

s32 UIP_TASK_Init | ( | u32 | mode | ) |

Here is the call graph for this function:

s32 UIP_TASK_InitFromPresets | ( | u8 | _dhcp_enabled,
|  | u32 | _my_ip_address,
|  | u32 | _my_netmask,
|  | u32 | _my_gateway |
| ) |  |  |

s32 UIP_TASK_IP_AddressGet | ( | void |  | ) |

s32 UIP_TASK_IP_AddressSet | ( | u32 | ip | ) |

s32 UIP_TASK_IP_EffectiveAddressGet | ( | void |  | ) |

s32 UIP_TASK_NetmaskGet | ( | void |  | ) |

s32 UIP_TASK_NetmaskSet | ( | u32 | mask | ) |

s32 UIP_TASK_NetworkDeviceAvailable | ( | void |  | ) |

s32 UIP_TASK_ServicesRunning | ( | void |  | ) |

s32 UIP_TASK_UDP_AppCall | ( | void |  | ) |

Here is the call graph for this function:

s32 UIP_TASK_UDP_MonitorLevelGet | ( | void |  | ) |

s32 UIP_TASK_UDP_MonitorLevelSet | ( | u8 | level | ) |

s32 UIP_TASK_UDP_MonitorPacket | ( | u8 | received,
|  | char * | prefix |
| ) |  |  |

Here is the call graph for this function:

## Variable Documentation

u16_t uip_slen

xSemaphoreHandle xUIPSemaphore